/*********************************************************************
 * \file   TargetMacros.cpp
 *
 * \author Romain BOULLARD
 * \date   October 2025
 *********************************************************************/
#include <Utils/TargetMacros.h>

#include <gtest/gtest.h>

namespace Bigfoot
{
class TargetMacrosFixture: public ::testing::Test
{
};

/****************************************************************************************/

TEST_F(TargetMacrosFixture, OptimizedOrNot)
{
    constexpr std::uint32_t value = BIGFOOT_OPTIMIZED_OR_NOT(1, 2);
    BIGFOOT_NOT_OPTIMIZED_ONLY(EXPECT_EQ(value, 2);)
    BIGFOOT_OPTIMIZED_ONLY(EXPECT_EQ(value, 1);)
}

}   // namespace Bigfoot
